Win a copy of Terraform in Action this week in the Cloud forum!
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
programming forums Java Mobile Certification Databases Caching Books Engineering Micro Controllers OS Languages Paradigms IDEs Build Tools Frameworks Application Servers Open Source This Site Careers Other Pie Elite all forums
this forum made possible by our volunteer staff, including ...
Marshals:
  • Tim Cooke
  • Campbell Ritchie
  • Paul Clapham
  • Ron McLeod
  • Liutauras Vilda
Sheriffs:
  • Jeanne Boyarsky
  • Rob Spoor
  • Bear Bibeault
Saloon Keepers:
  • Jesse Silverman
  • Tim Moores
  • Stephan van Hulst
  • Tim Holloway
  • Carey Brown
Bartenders:
  • Piet Souris
  • Al Hobbs
  • salvin francis

EJB 3 with j2ee 1.4

 
Ranch Hand
Posts: 164
  • Mark post as helpful
  • send pies
    Number of slices to send:
    Optional 'thank-you' note:
  • Quote
  • Report post to moderator
Hi,
I am new to ejb. I am using j2ee 1.4. is it possible to work with ejb 3 with j2ee 1.4?..what I need to use ejb 3?

thanks.
milan.
 
Ranch Hand
Posts: 84
  • Mark post as helpful
  • send pies
    Number of slices to send:
    Optional 'thank-you' note:
  • Quote
  • Report post to moderator
Hi Milan Jagatiya,

Yes you can but i would suggest you to go through Head first series of EJB and even you can go through the sample tutorials which has been provided by jboss

Jboss trailblazer

I hope this would suffice the initial requirement of j2ee with EJB

Cheers !!!11
Sumit Malik
 
ranger
Posts: 17346
11
Mac IntelliJ IDE Spring
  • Mark post as helpful
  • send pies
    Number of slices to send:
    Optional 'thank-you' note:
  • Quote
  • Report post to moderator
Well, yes and no.

EJB is part of the Java EE 5 version which is the next version after J2EE 1.4 so Sun changed the name, basically EJB3 is part of J2EE 1.5.

You can have a JSP Servlet in version 1.4 in Tomcat and lookup and use EJB 3s that are deploying in an EJB 3 supported app server.

Mark
 
Milan Jagatiya
Ranch Hand
Posts: 164
  • Mark post as helpful
  • send pies
    Number of slices to send:
    Optional 'thank-you' note:
  • Quote
  • Report post to moderator
hi,
thanks mark.


You can have a JSP Servlet in version 1.4 in Tomcat and lookup and use EJB 3s that are deploying in an EJB 3 supported app server.



->can i use sun app server(j2ee 1.5) for both my web component(j2ee 1.4) and ejb3 component?

->and as you told if i deploy my web component in tomcat and ejb3 component in sun app server, how can they communicate?

milan.
 
Mark Spritzler
ranger
Posts: 17346
11
Mac IntelliJ IDE Spring
  • Mark post as helpful
  • send pies
    Number of slices to send:
    Optional 'thank-you' note:
  • Quote
  • Report post to moderator
You should be able to deploy both on Sun's App Server that is Java EE 5 certified, called Glassfish or also in JBoss.

Your Servlets just lookup EJBs just like any other client would.

Mark
 
Milan Jagatiya
Ranch Hand
Posts: 164
  • Mark post as helpful
  • send pies
    Number of slices to send:
    Optional 'thank-you' note:
  • Quote
  • Report post to moderator
Thank you so much! Mark.

milan.
 
reply
    Bookmark Topic Watch Topic
  • New Topic